# Interface JavaSourceSet

All Superinterfaces:
  `Buildable, BuildableComponentSpec, ComponentSpec, DependentSourceSet, LanguageSourceSet, ModelElement, Named`

@Incubating public interface JavaSourceSet extends DependentSourceSet
A set of sources passed to the Java compiler.

## Nested Class Summary

### Nested classes/interfaces inherited from interface Named

`Named.Namer`

## Method Summary

Modifier and Type
Method
Description
`Classpath`
`getCompileClasspath()`

### Methods inherited from interface Buildable

`getBuildDependencies`

### Methods inherited from interface BuildableComponentSpec

`builtBy, getBuildTask, hasBuildDependencies, setBuildTask`

### Methods inherited from interface ComponentSpec

`getProjectPath`

### Methods inherited from interface DependentSourceSet

`getDependencies`

### Methods inherited from interface LanguageSourceSet

`generatedBy, getParentName, getSource`

### Methods inherited from interface ModelElement

`getDisplayName, getName`

## Method Details

### getCompileClasspath

Classpath getCompileClasspath()